Attribute VB_Name = "mod_test"
Option Explicit

Declare Sub GetSystemInfo Lib "kernel32" (ByVal lpSystemInfo As SYSTEM_INFO)
Declare Function GetVersion Lib "kernel32" () As Long

Declare Function SystemParametersInfo Lib "user32" Alias "SystemParametersInfoA" (ByVal uAction As Long, ByVal uParam As Long, ByVal lpvParam As Any, ByVal fuWinIni As Long) As Long

Type SYSTEM_INFO
        dwOemID As Long
        dwPageSize As Long
        lpMinimumApplicationAddress As Long
        lpMaximumApplicationAddress As Long
        dwActiveProcessorMask As Long
        dwNumberOrfProcessors As Long
        dwProcessorType As Long
        dwAllocationGranularity As Long
        dwReserved As Long
End Type
Sub getinfo()
Dim sysinfo As SYSTEM_INFO
Dim version As OSVERSIONINFO

'Call GetSystemInfo(AddressOf sysinfo)

Debug.Print sysinfo.dwOemID
Debug.Print sysinfo.dwPageSize
Debug.Print sysinfo.lpMinimumApplicationAddress
Debug.Print sysinfo.lpMaximumApplicationAddress
Debug.Print sysinfo.dwActiveProcessorMask
Debug.Print sysinfo.dwNumberOrfProcessors
Debug.Print sysinfo.dwProcessorType
Debug.Print sysinfo.dwAllocationGranularity
Debug.Print sysinfo.dwReserved

version.dwOSVersionInfoSize = Len(version)

Call GetVersionEx(version)
Debug.Print version.dwOSVersionInfoSize
Debug.Print version.dwMajorVersion
Debug.Print version.dwMinorVersion
Debug.Print version.dwBuildNumber
Debug.Print version.dwPlatformId
Debug.Print version.szCSDVersion

Debug.Print GetVersion

End Sub
Sub Meta_test()

Static p1, p2, p3, p4 As Long
Static X, Y, old As Integer
Static nx, ny, tag As Integer

Call focusmine
hDC = GetDC(hwinmine)

old = -2
For X = 0 To 1000
    Y = 1
    p1 = My_GetPixel(hDC, X, Y)
    Select Case p1
    Case -1
        If old - X <> -1 Then
            Debug.Print "X="; X; "Y="; Y
        End If
        old = X
    Case Else
    End Select
Next X
old = -2
For Y = 0 To 1000
    X = 1
    p1 = My_GetPixel(hDC, X, Y)
    Select Case p1
    Case -1
        If old - Y <> -1 Then
            Debug.Print "X="; X; "Y="; Y
        End If
        old = Y
    Case Else
    End Select
Next Y

Call relhdc
End Sub
Sub debug_trace_grille()

Dim X, Y, nx, ny, n As Integer
Dim p1 As Long
Dim mind As Integer

Call focusmine
hDC = GetDC(hwinmine)
If stop_it Then
    Call relhdc
End If

For X = 1 To 1000
    p1 = My_GetPixel(hDC, X, 1)
    If p1 = -1 Then
        MyDebugLn ("Max X +1 =" & X)
        Exit For
    End If
Next X
For Y = 1 To 1000
    p1 = My_GetPixel(hDC, 1, Y)
    If p1 = -1 Then
        MyDebugLn ("Max Y +1 =" & Y)
        Exit For
    End If
Next Y
Call relhdc

For mind = 1 To 2
    MyDebugLn ("INDEX tableau=" & mind)
    MyDebugLn ("")
    For ny = 1 To tailley
        For nx = 1 To taillex
            n = Meta_tableau(nx, ny, mind)
            Select Case n
            Case 0
                MyDebug (" . ")
            Case 9
                MyDebug (" # ")
            Case 10
                MyDebug (" X ")
            Case Else
                MyDebug (Format(n, "00") & " ")
            End Select
        Next nx
        MyDebugLn ("")
    Next ny
Next mind

End Sub

Sub MyDebug(ByVal txt As String)

    Frm_debug.Show
    Frm_debug.Text_debug.Text = Frm_debug.Text_debug.Text + txt
End Sub
Sub MyDebugLn(ByVal txt As String)

    Frm_debug.Show
    Frm_debug.Text_debug.Text = Frm_debug.Text_debug.Text + Chr$(13) + Chr$(10) + txt
End Sub

