Attribute VB_Name = "Mod_algo"
Option Explicit

Sub Meta_resolution()
   
Select Case Solve_Mode
Case "OnePass"

    Call Meta_analyse_simple(taillex, tailley)
    Call click_deductions(taillex, tailley)
    If MineSolved Then
        fini = True
        Call My_SendScore
    End If

Case "Loop"

    perdu = False
    debut = True
    stop_it = False
    Do
        Call Meta_analyse_simple(taillex, tailley)
        Call click_deductions(taillex, tailley)
        If stop_it Then
            Exit Sub
        End If
    Loop While newmine
    If MineSolved Then
        fini = True
        Call My_SendScore
    End If

Case "Winner"

   Call settaille

    Do
        Do
            perdu = False
            fini = False
            Call click_restart
            Call Meta_lit_tableau(taillex, tailley)
            DoEvents
            If stop_it Then
                Exit Sub
            End If
        Loop While perdu
        debut = True
        Do
            Call Meta_analyse_simple(taillex, tailley)
            Call click_deductions(taillex, tailley)
            DoEvents
            If stop_it Then
                Exit Sub
            End If
        Loop While newmine
        If MineSolved Then
            fini = True
            Call My_SendScore
        End If
    Loop Until fini
Case "Forever"

   Call settaille

    Do
        Do
            Do
                perdu = False
                fini = False
                Call click_restart
                Call Meta_lit_tableau(taillex, tailley)
                DoEvents
                If stop_it Then
                    Exit Sub
                End If
            Loop While perdu
            debut = True
            Do
                Call Meta_analyse_simple(taillex, tailley)
                Call click_deductions(taillex, tailley)
                DoEvents
                If stop_it Then
                    Exit Sub
                End If
            Loop While newmine
            If MineSolved Then
                fini = True
                Call My_SendScore
            End If
        Loop Until fini
    Loop

End Select

End Sub
Sub Meta_analyse_simple(ByVal maxx As Integer, ByVal maxy As Integer)
    
Static i, j, nx, ny, n, m, newminebis, newmineter, nbv, X, Y As Integer
Static voisin, vbis, p1 As Long
Dim nb_up As Integer
Dim nb_vg As Integer
Dim nb_dp As Integer
Dim nb_what As Integer

If debut Then
    Call Meta_lit_tableau(maxx, maxy)
    debut = False
Else
    Call Meta_lit_tableau_optimise(maxx, maxy)
End If
If perdu Then
    newmine = False
    Exit Sub
End If
newminebis = False
newmineter = False

Do
    newmine = False
    DoEvents
    If stop_it Then
        Exit Sub
    End If
    
    For ny = 1 To maxy
        For nx = 1 To maxx
    
            n = Meta_tableau(nx, ny, INDEX_CODE_TRAVAIL)
            If (n <= MN_8) And (n > MN_0) Then
                'examiner les cases voisines
'                If Meta_tableau(nx, ny, INDEX_VOISIN_UP) = 0 Then
                    Call calcul_voisins(nb_what, nb_up, nb_vg, nb_dp, nx, ny, maxx, maxy)
                If (nb_up = n) And (nb_what = 0) Then
                    Meta_tableau(nx, ny, INDEX_CODE_TRAVAIL) = MN_0
                Else
    '                    Call Meta_get_voisins(nbv, nx, ny, maxx, maxy)
    '                End If
                    'la case a-t'elle le meme numero que de cases non dcouvertes autour?
    '                If Meta_tableau(nx, ny, INDEX_VOISIN_UP) = n Then
                    If (nb_up = n) And (nb_what > 0) Then
                        'oui alors on marque les cases vierges en drapeaux
                        Call Meta_set_vierge_to_drapeau(nx, ny, maxx, maxy)
                        If newmine Then
                            newminebis = True
                        End If
                        'Update de la table de proximit
    '                    Call Meta_get_voisins(nbv, nx, ny, maxx, maxy)
                    End If
                    'la case a-t'elle le meme numero que le nombre de drapeau autour
                    'alors qu'il reste des cases vierges autour?
                    '   ex: PPP
                    '       .5X
                    '       P..
                    ' avec P=drapeau
                    '      X=Vierge
                    '      .=Dcouverte
                    
                    'examiner les cases voisines
    '                Call Meta_get_voisins(nbv, nx, ny, maxx, maxy)
                        Call calcul_voisins(nb_what, nb_up, nb_vg, nb_dp, nx, ny, maxx, maxy)
                    'la case a-t'elle le meme numero que de le nombre de drapeau autour?
    '                If Meta_tableau(nx, ny, INDEX_VOISIN_DRAPEAU) = n Then
                    If (nb_dp = n) And (nb_what > 0) Then
                        'oui alors on marque les cases vierges  cliquer
                        Call Meta_set_vierge_to_numero(nx, ny, maxx, maxy)
                        If newmine Then
                            newminebis = True
                        End If
                        'Update de la table de proximit
    '                    Call Meta_get_voisins(nbv, nx, ny, maxx, maxy)
                    End If
                    'la case a-t'elle le meme numero que le nombre de drapeau autour
                    'alors qu'il reste des cases vierges autour?
                    '   ex: PPP
                    '       .4X
                    '       P..
                    ' avec P=drapeau
                    '      X=Vierge
                    '      .=Dcouverte
                End If
            End If
        Next nx
    Next ny

    If newmine = True Then
        newmineter = True
    End If
    
    If newmine = False And newminebis = True Then
        newmine = True
        newminebis = False
    End If

Loop While newmine
newmine = newmineter

Call Meta_sauve(maxx, maxy)

End Sub
Sub Meta_check_lecture(ByVal maxx As Integer, ByVal maxy As Integer)

    Static nx, ny, i, code As Integer
    For ny = 1 To maxy
        For nx = 1 To maxx
            code = Meta_tableau(nx, ny, INDEX_CODE)
            Meta_tableau(nx, ny, INDEX_VOISIN_UP) = 0
            If code = MN_ERREUR Then
                Call click_l_mine(nx, ny)
                Meta_tableau(nx, ny, INDEX_CODE_TRAVAIL) = Get_One_Square(nx, ny)
            End If
            Select Case code
            Case MN_1 To MN_VIERGE
                Meta_tableau(nx, ny, INDEX_CODE_TRAVAIL) = code
            Case MN_DRAPEAU
                Meta_tableau(nx, ny, INDEX_CODE_TRAVAIL) = MN_VIERGE
            Case Else
                Meta_tableau(nx, ny, INDEX_CODE_TRAVAIL) = MN_0
            End Select
        Next nx
    Next ny

End Sub

Sub calcul_voisins(ByRef nb_what As Integer, ByRef nb_up As Integer, ByRef nb_vg As Integer, ByRef nb_dp As Integer, ByVal nx As Integer, ByVal ny As Integer, ByVal maxx As Integer, ByVal maxy As Integer)

Static nxbis, nybis As Integer
Static i As Integer
Static v As Long

nb_vg = 0
nb_up = 0
nb_dp = 0
nb_what = 0

For i = 1 To 8
    nxbis = xbis(i, nx, maxx)
    nybis = ybis(i, ny, maxy)
    If (nxbis > 0) And (nybis > 0) Then
        v = Meta_tableau(nxbis, nybis, INDEX_CODE_TRAVAIL)
        If v = (MN_VIERGE Or MN_LCLICK) Then
            'vierge identifi
            nb_vg = nb_vg + 1
        End If
        If v = MN_VIERGE Then
            'vierge inconnue
            nb_what = nb_what + 1
        End If
        If (v = MN_DRAPEAU) Or (v = (MN_DRAPEAU Or MN_RCLICK)) Then
            nb_dp = nb_dp + 1
        End If
    End If
Next i

nb_up = nb_dp + nb_what

End Sub
Sub Meta_check_optimise(ByVal maxx As Integer, ByVal maxy As Integer)

    Static nx, ny, i, code As Integer
    For ny = 1 To maxy
        For nx = 1 To maxx
            If Meta_tableau(nx, ny, INDEX_CODE_SAUVEGARDE) = MN_VIERGE Then
                code = Meta_tableau(nx, ny, INDEX_CODE)
                If code = MN_ERREUR Then
                    Call click_l_mine(nx, ny)
                    Meta_tableau(nx, ny, INDEX_CODE_TRAVAIL) = Get_One_Square(nx, ny)
                End If
                Select Case code
                Case MN_0 To MN_DRAPEAU
                    Meta_tableau(nx, ny, INDEX_CODE_TRAVAIL) = code
                Case Else
                    Meta_tableau(nx, ny, INDEX_CODE_TRAVAIL) = MN_0
                End Select
            End If
        Next nx
    Next ny

End Sub

Sub Meta_lit_tableau(ByVal maxx As Integer, ByVal maxy As Integer)

Static p1, p2, p3, p4 As Long
Static X, Y As Integer
Static nx, ny, tag As Integer

ReDim Meta_tableau(1 To maxx, 1 To maxy, 1 To INDEX_MAX) As Integer

    Call relhdc
    Call focusmine
    hDC = GetDC(hwinmine)

For nx = 1 To maxx
    For ny = 1 To maxy
        
        Meta_tableau(nx, ny, INDEX_CODE) = Get_One_Square(nx, ny)
        
    Next ny
Next nx

    Call relhdc

'Call debug_trace_grille(INDEX_CODE)

Call Meta_check_lecture(maxx, maxy)

'Call debug_trace_grille(INDEX_CODE_TRAVAIL)

End Sub
Sub Meta_lit_tableau_optimise(ByVal maxx As Integer, ByVal maxy As Integer)

Static p1, p2, p3, p4 As Long
Static X, Y As Integer
Static nx, ny, tag As Integer

For nx = 1 To maxx
    For ny = 1 To maxy
        'ne lit que les cases inconnues
        If (Meta_tableau(nx, ny, INDEX_CODE) And MN_FILTRE) = MN_VIERGE Then
            Meta_tableau(nx, ny, INDEX_CODE_TRAVAIL) = Get_One_Square(nx, ny)
        End If
    Next ny
Next nx

Call Meta_check_optimise(maxx, maxy)

End Sub

Sub Meta_sauve(ByVal maxx As Integer, ByVal maxy As Integer)

    Static code, nx, ny As Integer
    fini = True
    For ny = 1 To maxy
        For nx = 1 To maxx
            code = Meta_tableau(nx, ny, INDEX_CODE_TRAVAIL)
            Meta_tableau(nx, ny, INDEX_CODE) = (code And MN_FILTRE)
            If code = MN_VIERGE Then
                fini = False
            End If
        Next nx
    Next ny
            
End Sub

Sub Meta_set_vierge_to_drapeau(ByVal nx As Integer, ByVal ny As Integer, ByVal maxx As Integer, ByVal maxy As Integer)

Static nxbis, nybis As Integer
Static i As Integer
Static v As Long

For i = 1 To 8
    nxbis = xbis(i, nx, maxx)
    nybis = ybis(i, ny, maxy)
    If (nxbis > 0) And (nybis > 0) Then
        v = Meta_tableau(nxbis, nybis, INDEX_CODE_TRAVAIL)
        ' la case voisine est-elle une case vierge pure?
        If v = MN_VIERGE Then
            'c'est donc une case drapeau
            ' le drapeau tait-il dja sur la fenetre de jeu
            ' donc il serait juste vrifi
            ' et donc ce n'est pas une nouvelle dduction
            If Meta_tableau(nxbis, nybis, INDEX_CODE) = MN_DRAPEAU Then
                'c'est une vrification
                Meta_tableau(nxbis, nybis, INDEX_CODE_TRAVAIL) = MN_DRAPEAU
                newmine = True
            Else
                ' c'est donc une dduction
                newmine = True
                Meta_tableau(nxbis, nybis, INDEX_CODE_TRAVAIL) = MN_DRAPEAU Or MN_RCLICK
            End If
        End If
    End If
Next i
'Pour viter de refaire le calcul  la prochaine boucle:
Meta_tableau(nx, ny, INDEX_CODE_TRAVAIL) = MN_0

End Sub
Sub Meta_set_vierge_to_numero(ByVal nx As Integer, ByVal ny As Integer, ByVal maxx As Integer, ByVal maxy As Integer)

Static nxbis, nybis As Integer
Static i, nb_up, nb_vg  As Integer
Static v As Long

For i = 1 To 8
    nxbis = xbis(i, nx, maxx)
    nybis = ybis(i, ny, maxy)
    If (nxbis > 0) And (nybis > 0) Then
        v = Meta_tableau(nxbis, nybis, INDEX_CODE_TRAVAIL)
        If v = MN_VIERGE Then
            'on marque donc la case  cliquer
            Meta_tableau(nxbis, nybis, INDEX_CODE_TRAVAIL) = MN_VIERGE Or MN_LCLICK
            newmine = True
        End If
    End If
Next i
'Pour viter de refaire le calcul  la prochaine boucle:
Meta_tableau(nx, ny, INDEX_CODE_TRAVAIL) = MN_0

End Sub
Function MineSolved() As Boolean

Select Case WindowsOS
Case "WINNT"
    If get_number_of_mines = 0 Then
        MineSolved = True
    Else
        MineSolved = False
    End If
Case "WIN95"
    Select Case Mine_Lang
    Case "F"
        If FindWindow(lp_null, "Flicitations") = 0 Then
            MineSolved = True
        Else
            MineSolved = False
        End If
    Case "E"
        If FindWindow(lp_null, "Congratulations") = 0 Then
            MineSolved = False
        Else
            MineSolved = True
        End If
    End Select
    
End Select

End Function
