Attribute VB_Name = "Mod_io"
Option Explicit

Declare Function SetFocus Lib "user32" (ByVal hwnd As Long) As Long
Declare Function SetForegroundWindow Lib "user32" (ByVal hwnd As Long) As Long
Declare Function FindWindow Lib "user32" Alias "FindWindowA" (ByVal lpClassName As Any, ByVal lpWindowName As Any) As Long
Declare Function GetDC Lib "user32" (ByVal hwnd As Long) As Long
Declare Function ReleaseDC Lib "user32" (ByVal hwnd As Long, ByVal hDC As Long) As Integer
Declare Function GetPixel Lib "GDI32" (ByVal hDC As Long, ByVal X As Integer, ByVal Y As Integer) As Long
Declare Sub GetClientRect Lib "user32" (ByVal hwnd As Long, ByRef lpRect As RECT)
Declare Sub MoveWindow Lib "User" (ByVal hwnd As Integer, ByVal X As Integer, ByVal Y As Integer, ByVal nWidth As Integer, ByVal nHeight As Integer, ByVal bRepaint As Integer)
Declare Function GetWindowsDirectory Lib "Kernel" (ByVal lpBuffer As String, ByVal nSize As Integer) As Integer
Declare Function PostMessage Lib "user32" Alias "PostMessageA" (ByVal hwnd As Long, ByVal wMsg As Integer, ByVal wParam As Integer, ByVal lParam As Any) As Integer
Type RECT
    left As Integer
    top As Integer
    right As Integer
    bottom As Integer
End Type

Type OSVERSIONINFO
        dwOSVersionInfoSize As Long
        dwMajorVersion As Long
        dwMinorVersion As Long
        dwBuildNumber As Long
        dwPlatformId As Long
        szCSDVersion As String * 128      '  Maintenance string for PSS usage
End Type
Declare Function GetVersionEx Lib "kernel32" Alias "GetVersionExA" (lpVersionInformation As OSVERSIONINFO) As Long

Global Const COL_95_GRIS_CLAIR = 12632256  '&HC0C0C0
Global Const COL_95_GRIS_FONCE = 8421504   '&H808080
Global Const COL_95_ROUGE_CLAIR = 255      '&HFF
Global Const COL_95_ROUGE_FONCE = 128      '&H00000080
Global Const COL_95_BLEU_CLAIR = 16711680  '&HFF0000
Global Const COL_95_BLEU_FONCE = 8388608   '&H800000
Global Const COL_95_BLEUVERT = 8421376     '&H8080
Global Const COL_95_VERT_FONCE = 32768     '&H00008000
Global Const COL_95_VIOLET = 8388736       '&H800080
Global Const COL_95_BLANC = 16777215       '&HFFFFFF
Global Const COL_95_NOIR = 0               '&H0

'MODE EXE:
Global Const COL_NT4_GRIS_CLAIR = &HC6C3C6
Global Const COL_NT4_GRIS_FONCE = &H848284
Global Const COL_NT4_ROUGE_CLAIR = 255      '&H000000FF
Global Const COL_NT4_ROUGE_FONCE = 132      '&H00000084
Global Const COL_NT4_BLEU_CLAIR = &HFF0000
Global Const COL_NT4_BLEU_FONCE = 8650752   '&H00840000
Global Const COL_NT4_CYAN = &H848200        '&H00848200
Global Const COL_NT4_VERT = 33280           '&H00008200
Global Const COL_NT4_BLANC = &HFFFFFF
Global Const COL_NT4_NOIR = &H0

'MODE INTERPRETE:
'Global Const COL_NT4_GRIS_CLAIR = &HC0C0C0
'Global Const COL_NT4_GRIS_FONCE = &H808080
'Global Const COL_NT4_ROUGE_CLAIR = 255
'Global Const COL_NT4_ROUGE_FONCE = 128
'Global Const COL_NT4_BLEU_CLAIR = &HFF0000
'Global Const COL_NT4_BLEU_FONCE = &H800000
'Global Const COL_NT4_CYAN = &H808000
'Global Const COL_NT4_VERT = &H8000
'Global Const COL_NT4_BLANC = &HFFFFFF
'Global Const COL_NT4_NOIR = &H0

Global Const winfile = "WINMINE.EXE"

Global Const VK_F2 = &H71
Global Const VK_MENU = &H12
Global Const VK_A = &H41
Global Const VK_B = &H42
Global Const VK_C = &H43
Global Const VK_D = &H44
Global Const VK_E = &H45
Global Const VK_F = &H46
Global Const VK_G = &H47
Global Const VK_H = &H48
Global Const VK_I = &H49
Global Const VK_J = &H4A
Global Const VK_K = &H4B
Global Const VK_L = &H4C
Global Const VK_M = &H4D
Global Const VK_N = &H4E
Global Const VK_O = &H4F
Global Const VK_P = &H50
Global Const VK_Q = &H51
Global Const VK_R = &H52
Global Const VK_S = &H53
Global Const VK_T = &H54
Global Const VK_U = &H55
Global Const VK_V = &H56
Global Const VK_W = &H57
Global Const VK_X = &H58
Global Const VK_Y = &H59
Global Const VK_Z = &H5A



Global Const WM_LBUTTONDOWN = &H201
Global Const WM_LBUTTONUP = &H202
Global Const WM_RBUTTONDOWN = &H204
Global Const WM_RBUTTONUP = &H205
Global Const MK_LBUTTON = &H1
Global Const MK_RBUTTON = &H2
Public Const WM_SYSKEYDOWN = &H104
Public Const WM_SYSKEYUP = &H105

Public Const WM_SYSCHAR = &H106
Public Const WM_CHAR = &H102

Public Const WM_KEYDOWN = &H100
Public Const WM_KEYUP = &H101
Sub what_os_is_it()

Dim myversion As OSVERSIONINFO
myversion.dwOSVersionInfoSize = Len(myversion)

Call GetVersionEx(myversion)
Select Case myversion.dwPlatformId
Case 1
    'WIN95
    WindowsOS = "WIN95"
Case 2
    'WINNT
    WindowsOS = "WINNT"
Case Else
    'UNKNOWN
End Select
End Sub
Sub click_deductions(ByVal maxx As Integer, ByVal maxy As Integer)

    Static nb_d, nx, ny, i, n, voisin As Integer
'    Call focusmine
    If stop_it Then
        Exit Sub
    End If
    ' compter et marquer les drapeaux
    For nx = 1 To maxx
        For ny = 1 To maxy
            If ((Meta_tableau(nx, ny, INDEX_CODE_TRAVAIL) And MN_FILTRE) = MN_DRAPEAU) Then
               nb_d = nb_d + 1
            End If
            If ((Meta_tableau(nx, ny, INDEX_CODE_TRAVAIL) And MN_RCLICK) <> 0) Then
                Meta_tableau(nx, ny, INDEX_CODE_TRAVAIL) = MN_DRAPEAU
               Call click_r_mine(nx, ny)
            End If
        Next ny
    Next nx
    DoEvents
    'cliquer l ou on sait qu'il n'y a pas de bombes
    For nx = 1 To maxx
        For ny = 1 To maxy
            If ((Meta_tableau(nx, ny, INDEX_CODE_TRAVAIL) And MN_LCLICK) <> 0) Then
                Call click_l_mine(nx, ny)
            End If
        Next ny
    Next nx
    DoEvents

    If nb_d = nb_drapeaux Then
        fini = True
        newmine = False
    End If

End Sub

Sub click_l_mine(ByVal X As Integer, ByVal Y As Integer)
    Dim a As Integer
    X = 10 + X * 16
    Y = 40 + Y * 16
    wP = 0
    lP = Y * 65536 + X
    'Call focusmine
    a = PostMessage(hwinmine, WM_LBUTTONDOWN, wP, lP)
    a = PostMessage(hwinmine, WM_LBUTTONUP, wP, lP)
End Sub

Sub click_r_mine(ByVal X As Integer, ByVal Y As Integer)
    Dim a As Integer
    X = 10 + X * 16
    Y = 40 + Y * 16
    wP = 0
    lP = Y * 65536 + X
    'Call focusmine
    a = PostMessage(hwinmine, WM_RBUTTONDOWN, wP, lP)
    a = PostMessage(hwinmine, WM_RBUTTONUP, wP, lP)
End Sub
Sub Main()
    ReDim tableau_sav(1, 1)
    Load Frm_debug
    Call what_os_is_it
    Call launchdemineur
    Frm_Main.Show
    Frm_Main.top = 0
    Frm_Main.left = 0
End Sub

Function somme_des_uns(ByVal n As Integer) As Integer
Static som As Integer
If n And 1 Then
    som = som + 1
End If
If n And 2 Then
    som = som + 1
End If
If n And 4 Then
    som = som + 1
End If
If n And 8 Then
    som = som + 1
End If
If n And 16 Then
    som = som + 1
End If
If n And 32 Then
    som = som + 1
End If
If n And 64 Then
    som = som + 1
End If
If n And 128 Then
    som = som + 1
End If
somme_des_uns = som
End Function
Sub focusmine()
    Dim a As Long
    Select Case WindowsOS
    Case "WINNT"
'        hwinmine = FindWindow(lp_null, "Dmineur")
'        If hwinmine = 0 Then
'            hwinmine = FindWindow(lp_null, "Minesweeper")
'        End If
'        If hwinmine = 0 Then
'            hwinmine = FindWindow("Minesweeper", lp_null)
'        End If
        hwinmine = FindWindow("Minesweeper", lp_null)
        If hwinmine = 0 Then
            hwinmine = FindWindow(lp_null, "Dmineur")
        End If
        If hwinmine = 0 Then
            hwinmine = FindWindow(lp_null, "Minesweeper")
        End If
    Case "WIN95"
        hwinmine = FindWindow("Minesweeper", lp_null)
        If hwinmine = 0 Then
            hwinmine = FindWindow(lp_null, "Dmineur")
        End If
        If hwinmine = 0 Then
            hwinmine = FindWindow(lp_null, "Minesweeper")
        End If
    End Select
    
    If hwinmine = 0 Then
        MyDebug ("Handle winmine introuvable ! hwinmine = 0")
        Beep
        Stop
    End If
    DoEvents
    a = SetForegroundWindow(hwinmine)
    If a = 0 Then
        MyDebug ("Retour SetForegroundWindow(hwinmine) = 0")
        Beep
'        Stop
    End If
End Sub

Function get_number(ByVal X As Integer, ByVal Y As Integer) As Integer
Static p1, p2, p3, p4, p5, p6, p7 As Long
Static n, n1, n2, n3, n4, n5, n6, n7 As Integer
Call focusmine
hDC = GetDC(hwinmine)
p1 = My_GetPixel(hDC, X + 3, Y + 2)
p2 = My_GetPixel(hDC, X + 2, Y + 3)
p3 = My_GetPixel(hDC, X + 12, Y + 3)
p4 = My_GetPixel(hDC, X + 3, Y + 12)
p5 = My_GetPixel(hDC, X + 2, Y + 13)
p6 = My_GetPixel(hDC, X + 12, Y + 13)
p7 = My_GetPixel(hDC, X + 3, Y + 22)
If p1 = COL_95_ROUGE_CLAIR Then
    n1 = 1
Else
    n1 = 0
End If
If p2 = COL_95_ROUGE_CLAIR Then
    n2 = 1
Else
    n2 = 0
End If
If p3 = COL_95_ROUGE_CLAIR Then
    n3 = 1
Else
    n3 = 0
End If
If p4 = COL_95_ROUGE_CLAIR Then
    n4 = 1
Else
    n4 = 0
End If
If p5 = COL_95_ROUGE_CLAIR Then
    n5 = 1
Else
    n5 = 0
End If
If p6 = COL_95_ROUGE_CLAIR Then
    n6 = 1
Else
    n6 = 0
End If
If p7 = COL_95_ROUGE_CLAIR Then
    n7 = 1
Else
    n7 = 0
End If
n = n1 * 64 + n2 * 32 + n3 * 16 + n4 * 8 + n5 * 4 + n6 * 2 + n7
Select Case n
Case 119
    get_number = 0
Case 18
    get_number = 1
Case 93
    get_number = 2
Case 91
    get_number = 3
Case 58
    get_number = 4
Case 107
    get_number = 5
Case 111
    get_number = 6
Case 82
    get_number = 7
Case 127
    get_number = 8
Case 123
    get_number = 9
End Select
Call relhdc
End Function

Function Get_One_Square_NT4(ByVal nx As Integer, ByVal ny As Integer) As Integer

Dim p1 As Long
Dim p2 As Long
Dim p3 As Long
Dim p4 As Long

Dim X As Integer
Dim Y As Integer
Dim xx As Integer
Dim yy As Integer

Dim tag, result As Integer

basex = 11
basey = 54

X = basex + (nx - 1) * 16
Y = basey + (ny - 1) * 16

xx = X + 1
yy = Y + 1

p1 = My_GetPixel(hDC, xx, yy)

Select Case p1
Case COL_NT4_BLANC
    ' case up
    xx = X + 8
    yy = Y + 4
    p2 = My_GetPixel(hDC, xx, yy)
    Select Case p2
    Case COL_NT4_NOIR
        'point interrogation , a jeter
        Call click_r_mine(nx, ny)
        Call focusmine
        result = MN_VIERGE
    Case COL_NT4_ROUGE_CLAIR
        result = MN_DRAPEAU
    Case COL_NT4_GRIS_CLAIR
        result = MN_VIERGE
    Case Else
MyDebugLn ("Erreur 1! p1=" & Hex$(p1))
MyDebugLn ("          p2=" & Hex$(p2))
MyDebugLn ("          nx=" & nx & " ny=" & ny)
        result = MN_ERREUR
    End Select
Case COL_NT4_GRIS_FONCE
    ' case down
    xx = X + 14
    yy = Y + 8
    p2 = My_GetPixel(hDC, xx, yy)
    Select Case p2
    Case COL_NT4_NOIR
        ' bombes
        tag = 0
        xx = X + 3
        yy = Y + 3
        p3 = My_GetPixel(hDC, xx, yy)
        xx = X + 3
        yy = Y + 4
        p4 = My_GetPixel(hDC, xx, yy)
        If p3 = COL_NT4_GRIS_CLAIR And p4 = COL_NT4_ROUGE_CLAIR Then
            result = MN_BOMBE
            tag = 1
        End If
        If p3 = COL_NT4_GRIS_CLAIR And p4 = COL_NT4_GRIS_CLAIR Then
            result = MN_BOMBE
            tag = 1
        End If
        If p3 = COL_NT4_ROUGE_CLAIR And p4 = COL_NT4_ROUGE_CLAIR Then
            result = MN_BOMBE
            tag = 1
        End If
        If tag = 0 Then

MyDebugLn ("Erreur 4! p1=" & Hex$(p1))
MyDebugLn ("          p2=" & Hex$(p2))
MyDebugLn ("          p3=" & Hex$(p3))
MyDebugLn ("          p3=" & Hex$(p3))
MyDebugLn ("          nx=" & nx & " ny=" & ny)

            result = MN_ERREUR
        Else
            perdu = True
        End If
    
    Case COL_NT4_GRIS_CLAIR
        ' numros
        xx = X + 10
        yy = Y + 5
        p2 = My_GetPixel(hDC, xx, yy)
        Select Case p2
        Case COL_NT4_GRIS_CLAIR
            result = MN_0
        Case COL_NT4_BLEU_CLAIR
            result = MN_1
        Case COL_NT4_VERT
            result = MN_2
        Case COL_NT4_ROUGE_CLAIR
            result = MN_3
        Case COL_NT4_BLEU_FONCE
            result = MN_4
        Case COL_NT4_ROUGE_FONCE
            result = MN_5
        Case COL_NT4_CYAN
            result = MN_6
        Case COL_NT4_NOIR
            result = MN_7
        Case COL_NT4_GRIS_FONCE
            result = MN_8
        Case Else
MyDebugLn ("Erreur 4! p1=" & Hex$(p1))
MyDebugLn ("          p2=" & Hex$(p2))
MyDebugLn ("          nx=" & nx & " ny=" & ny)
            result = MN_ERREUR
        End Select
    Case COL_NT4_ROUGE_CLAIR
        result = MN_BOMBE
    Case Else
MyDebugLn ("Erreur 5! p1=" & Hex$(p1))
MyDebugLn ("          p2=" & Hex$(p2))
MyDebugLn ("          nx=" & nx & " ny=" & ny)
        result = MN_ERREUR
    End Select
Case Else
MyDebugLn ("Erreur 6! p1=" & Hex$(p1))
MyDebugLn ("          p2=" & Hex$(p2))
MyDebugLn ("          nx=" & nx & " ny=" & ny)

    result = MN_ERREUR
End Select

Get_One_Square_NT4 = result

End Function
Sub click_restart()
    Call click_start
    Call click_l_mine(1, 1)
    Call click_l_mine(1, tailley)
    Call click_l_mine(taillex, 1)
    Call click_l_mine(taillex, tailley)
    Call click_l_mine(Int(taillex / 2 - 2), Int(tailley / 2 - 2))
    Call click_l_mine(Int(taillex / 2 + 2), Int(tailley / 2 + 2))
    If taillex > 16 Then
        Call click_l_mine(Int(taillex / 2 + 2), Int(tailley / 2 - 2))
        Call click_l_mine(Int(taillex / 2 - 2), Int(tailley / 2 + 2))
    End If
End Sub

Sub click_start()

Dim a As Integer
   
    lP = 0
    wP = 0
    a = PostMessage(hwinmine, WM_KEYDOWN, VK_F2, lP)
    a = PostMessage(hwinmine, WM_KEYUP, VK_F2, lP)
    
End Sub
Sub My_SendKey(ByVal key As Integer)

Dim a As Integer
    Call focusmine
    lP = 0
    a = PostMessage(hwinmine, WM_KEYDOWN, key, lP)
    lP = &HC0000000
    a = PostMessage(hwinmine, WM_KEYUP, key, lP)
    DoEvents
End Sub
Sub My_SendDirectKey(ByVal key As Integer)

Dim a As Integer
'    Call focusmine
    lP = 0
    a = PostMessage(hwinmine, WM_KEYDOWN, key, lP)
    lP = &HC0000000
    a = PostMessage(hwinmine, WM_KEYUP, key, lP)
    DoEvents
End Sub
Sub My_SendAltKey(ByVal key As Integer)

Dim a As Integer
    Call focusmine
    lP = &H20000000
    a = PostMessage(hwinmine, WM_SYSKEYDOWN, key, lP)
    lP = &HC0000000
    a = PostMessage(hwinmine, WM_SYSKEYUP, key, lP)
    DoEvents
End Sub
Sub My_SendString(ByVal My_String As String)

Dim l, i As Integer

l = Len(My_String)

For i = 1 To l
    Call My_SendKey(Asc(Mid(My_String, i, 1)))
Next i

End Sub
Sub My_SendScore()

Dim My_Signature As String
Dim l, i As Integer
Dim a, hwinner As Long

My_Signature = "MineSolver !!"
l = Len(My_Signature)
Select Case WindowsOS
Case "WINNT"
    Call focusmine
Case "WIN95"
    Select Case Mine_Lang
    Case "F"
        DoEvents
        hwinner = FindWindow(lp_null, "Flicitations")
        a = SetForegroundWindow(hwinner)
    Case "E"
        DoEvents
        hwinner = FindWindow(lp_null, "Congratulations")
        a = SetForegroundWindow(hwinner)
    End Select
End Select

SendKeys (My_Signature)
'For i = 1 To l
'    Call My_SendDirectKey(Asc(Mid(My_String, i, 1)))
'Next i

End Sub

Sub settaille()

Select Case Type_MineSweeper
Case "EASY"
    taillex = 8
    tailley = 8
    nb_drapeaux = 10
    Select Case Mine_Lang
    Case "F"
'        Call focusmine
        Call My_SendAltKey(VK_J)
'        Call focusmine
        Call My_SendKey(VK_D)
'        DoEvents
    Case "E"
'        Call focusmine
        Call My_SendAltKey(VK_G)
'        Call focusmine
        Call My_SendKey(VK_B)
'        DoEvents
    End Select
Case "MEDIUM"
    taillex = 16
    tailley = 16
    nb_drapeaux = 40
    Select Case Mine_Lang
    Case "F"
'        Call focusmine
        Call My_SendAltKey(VK_J)
'        Call focusmine
        Call My_SendKey(VK_I)
'        SendKeys ("%JI"), True
'        DoEvents
    Case "E"
'        Call focusmine
        Call My_SendAltKey(VK_G)
'        Call focusmine
        Call My_SendKey(VK_I)
'SendKeys ("%GI"), True
'        DoEvents
    End Select
Case "EXPERT"
    Select Case Mine_Lang
    Case "F"
'        Call focusmine
        Call My_SendAltKey(VK_J)
'        Call focusmine
        Call My_SendKey(VK_E)
'        SendKeys ("%JE"), True
'        DoEvents
    Case "E"
'        Call focusmine
        Call My_SendAltKey(VK_G)
'        Call focusmine
        Call My_SendKey(VK_E)
'        SendKeys ("%GE"), True
'        DoEvents
    End Select
Case "PERSO"
    Select Case Mine_Lang
    Case "F"
'        Call focusmine
        Call My_SendAltKey(VK_J)
'        Call focusmine
'        Call My_SendKey(VK_P)
        SendKeys ("P"), True
'        Call focusmine
        SendKeys ("%L" + Str$(taillex)), True
'        Call focusmine
        SendKeys ("%H" + Str$(tailley)), True
'        Call focusmine
        SendKeys ("%M" + Str$(nb_drapeaux) + Chr$(13)), True
'        Call My_SendString("%L" + Str$(taillex))
'        Call My_SendString("%H" + Str$(tailley))
'        Call My_SendString("%M" + Str$(nb_drapeaux) + Chr$(13))
    Case "E"
'        Call focusmine
        Call My_SendAltKey(VK_G)
'        Call focusmine
'        Call My_SendKey(VK_C)
        SendKeys ("C"), True
'        Call focusmine
        SendKeys ("%H" + Str$(taillex)), True
'        Call focusmine
        SendKeys ("%W" + Str$(tailley)), True
'        Call focusmine
        SendKeys ("%M" + Str$(nb_drapeaux) + Chr$(13)), True
'        Call My_SendCustomAltKey(VK_H)
'        Call My_SendCustomString(Str$(taillex))
'        Call My_SendCustomAltKey(VK_W)
'        Call My_SendString(Str$(tailley))
'        Call My_SendString("%M" + Str$(nb_drapeaux) + Chr$(13))
    End Select
End Select

End Sub

Function nb_voisin(ByVal nx As Integer, ByVal ny As Integer, ByVal maxx As Integer, ByVal maxy As Integer) As Integer
    If ((nx = 1) And (ny = 1 Or ny = maxy)) Or ((nx = maxx) And (ny = 1 Or ny = maxy)) Then
        nb_voisin = 3
        Exit Function
    End If
    If (((nx = 1) And (ny > 1 And ny < maxy)) Or ((nx = maxx) And (ny > 1 And ny < maxy))) Or (((ny = 1) And (nx > 1 And nx < maxx)) Or ((ny = maxy) And (nx > 1 And nx < maxx))) Then
        nb_voisin = 5
        Exit Function
    End If
    nb_voisin = 8
End Function
Sub relhdc()
    Dim a As Long
    a = ReleaseDC(hwinmine, hDC)
    If a = 0 Then
        Beep
    End If
End Sub
Function Get_One_Square_95(ByVal nx As Integer, ByVal ny As Integer) As Integer

Dim p1 As Long
Dim p2 As Long
Dim p3 As Long

Dim X As Integer
Dim Y As Integer
Dim xx As Integer
Dim yy As Integer

Dim tag, result As Integer

basex = 11
basey = 54

X = basex + (nx - 1) * 16
Y = basey + (ny - 1) * 16

xx = X + 1
yy = Y + 1

p1 = My_GetPixel(hDC, xx, yy)

Select Case p1
Case COL_95_BLANC
    ' case up
    xx = X + 6
    yy = Y + 4
    p2 = My_GetPixel(hDC, xx, yy)
    Select Case p2
    Case COL_95_BLEU_CLAIR
        'point interrogation , a jeter
        Call click_r_mine(nx, ny)
'        Call focusmine
        result = MN_VIERGE
    Case COL_95_ROUGE_CLAIR
        result = MN_DRAPEAU
    Case COL_95_GRIS_CLAIR
        result = MN_VIERGE
    Case Else
    
MyDebugLn ("Erreur 1! p1=" & Hex$(p1))
MyDebugLn ("          p2=" & Hex$(p2))
MyDebugLn ("          nx=" & nx & " ny=" & ny)
        
        result = MN_ERREUR
    End Select
Case COL_95_ROUGE_CLAIR
'case bombe = Perdu
    perdu = True
Case COL_95_GRIS_CLAIR
    ' case down
    xx = X + 9
    yy = Y + 4
    p2 = My_GetPixel(hDC, xx, yy)
    Select Case p2
    Case COL_95_GRIS_CLAIR
        ' bombes
        xx = X + 9
        yy = Y + 8
        p3 = My_GetPixel(hDC, xx, yy)
        Select Case p3
        Case COL_95_ROUGE_CLAIR
        'case X = Perdu
            perdu = True
        Case COL_95_NOIR
        'case ? down = Perdu
            perdu = True
        Case COL_95_BLEU_FONCE
        'case 4
            result = MN_4
        Case COL_95_GRIS_CLAIR
        'case 0
            result = MN_0
        End Select
    Case COL_95_NOIR
    'case 8
        result = MN_8
    Case COL_95_VIOLET
    'case 7
        result = MN_7
    Case COL_95_BLEUVERT
    'case 6
        result = MN_6
    Case COL_95_ROUGE_FONCE
    'case 5
        result = MN_5
    Case COL_95_ROUGE_CLAIR
    'case 3
        result = MN_3
    Case COL_95_VERT_FONCE
    'case 2
        result = MN_2
    Case COL_95_BLEU_CLAIR
    'case 1
        result = MN_1
    Case Else

MyDebugLn ("Erreur 2! p1=" & Hex$(p1))
MyDebugLn ("          p2=" & Hex$(p2))
MyDebugLn ("          nx=" & nx & " ny=" & ny)
        
        result = MN_ERREUR
    End Select
Case Else

MyDebugLn ("Erreur 3! p1=" & Hex$(p1))
MyDebugLn ("          nx=" & nx & " ny=" & ny)
    
    result = MN_ERREUR
End Select

Get_One_Square_95 = result

End Function

Function Get_One_Square(ByVal nx As Integer, ByVal ny As Integer) As Integer

Select Case WindowsOS
Case "WINNT"
    Get_One_Square = Get_One_Square_NT4(nx, ny)
Case "WIN95"
    Get_One_Square = Get_One_Square_95(nx, ny)
Case Else
    MsgBox ("Dsol, ce systme d'exploitation n'est pas support")
    End
End Select

End Function
Sub launchdemineur()
    On Error GoTo my_error
    Dim a As Long
    If (FindWindow(lp_null, "Dmineur") = 0) And (FindWindow(lp_null, "MineSweeper") = 0) Then
        a = Shell(winfile, 4)
        Call get_winmine_size
    End If
my_error:
    If Err.Number = 53 Then
        a = MsgBox("Le Dmineur n'est pas prsent sur votre machine", vbOKOnly)
        End
    End If
End Sub
Function My_GetPixel(ByVal h As Long, ByVal X As Integer, ByVal Y As Integer) As Long

Dim pix As Long

pix = GetPixel(hDC, X, Y)
If pix = -1 Then
    
    Call relhdc
    
    Call focusmine
    hDC = GetDC(hwinmine)
    
    pix = GetPixel(hDC, X, Y)
    If pix = -1 Then
        MyDebugLn ("Erreur GetPixel! hDC=" & Hex$(hDC) & " x=" & X & " y=" & Y)
    End If
End If

My_GetPixel = pix

End Function

